package nc.vo.trn.regmng;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFLiteralDate;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

public class RegapplyVO extends SuperVO
{

	@Override
	public IVOMeta getMetaData()
	{
		return VOMetaFactory.getInstance().getVOMeta("hrtrn.hi_regapply");
	}

	private String				pk_hi_regapply;
	private String				pk_billtype;
	private Integer				approve_state;
	private String				business_type;
	private String				transtype;
	private String				transtypeid;
	private String				bill_code;
	private UFLiteralDate		regulardate;
	private String				billmaker;
	private UFLiteralDate		apply_date;
	private String				approver;
	private UFDateTime			approve_time;
	private String				approve_note;
	private String				memo;
	private String				pk_group;
	private String				pk_org;
	private UFBoolean			ishrssbill;
	private String				vattachment;
	private Integer				probation_type;
	private Integer				trialresult;
	private UFLiteralDate		trialdelaydate;
	private String				oldpk_org;
	private String				newpk_org;
	private String				oldpk_dept;
	private String				newpk_dept;
	private String				oldseries;
	private String				newseries;
	private String				oldpk_job;
	private String				newpk_job;
	private String				oldpk_postseries;
	private String				newpk_postseries;
	private String				oldpk_post;
	private String				newpk_post;
	private String				oldpk_jobrank;
	private String				newpk_jobrank;
	private String				oldpk_jobgrade;
	private String				newpk_jobgrade;
	private String				oldmemo;
	private String				newmemo;
	private String				oldpk_psncl;
	private String				newpk_psncl;
	private String				oldpk_job_type;
	private String				newpk_job_type;
	private String				oldjobmode;
	private String				newjobmode;
	private String				olddeposemode;
	private String				newdeposemode;
	private String				oldoccupation;
	private String				newoccupation;
	private String				oldworktype;
	private String				newworktype;
	private UFBoolean			oldpoststat;
	private UFBoolean			newpoststat;
	private String				creator;
	private UFDateTime			creationtime;
	private String				modifier;
	private UFDateTime			modifiedtime;
	private String				pk_psnjob;
	private Integer				assgid;
	private String				pk_tutor;
	private String				pk_psndoc;
	private String				pk_psnorg;
	private UFLiteralDate		begin_date;
	private UFLiteralDate		end_date;
	private Integer				dr					= 0;
	private UFDateTime			ts;
	private UFBoolean			isneedfile;
	private UFBoolean			ifsynwork;

	public static final String	PK_HI_REGAPPLY		= "pk_hi_regapply";
	public static final String	PK_BILLTYPE			= "pk_billtype";
	public static final String	APPROVE_STATE		= "approve_state";
	public static final String	BUSINESS_TYPE		= "business_type";
	public static final String	TRANSTYPE			= "transtype";
	public static final String	TRANSTYPEID			= "transtypeid";
	public static final String	BILL_CODE			= "bill_code";
	public static final String	REGULARDATE			= "regulardate";
	public static final String	BILLMAKER			= "billmaker";
	public static final String	APPLY_DATE			= "apply_date";
	public static final String	APPROVER			= "approver";
	public static final String	APPROVE_TIME		= "approve_time";
	public static final String	APPROVE_NOTE		= "approve_note";
	public static final String	MEMO				= "memo";
	public static final String	PK_GROUP			= "pk_group";
	public static final String	PK_ORG				= "pk_org";
	public static final String	ISHRSSBILL			= "ishrssbill";
	public static final String	VATTACHMENT			= "vattachment";
	public static final String	PROBATION_TYPE		= "probation_type";
	public static final String	TRIALRESULT			= "trialresult";
	public static final String	TRIALDELAYDATE		= "trialdelaydate";
	public static final String	OLDPK_ORG			= "oldpk_org";
	public static final String	NEWPK_ORG			= "newpk_org";
	public static final String	OLDPK_DEPT			= "oldpk_dept";
	public static final String	NEWPK_DEPT			= "newpk_dept";
	public static final String	OLDSERIES			= "oldseries";
	public static final String	NEWSERIES			= "newseries";
	public static final String	OLDPK_JOB			= "oldpk_job";
	public static final String	NEWPK_JOB			= "newpk_job";
	public static final String	OLDPK_POSTSERIES	= "oldpk_postseries";
	public static final String	NEWPK_POSTSERIES	= "newpk_postseries";
	public static final String	OLDPK_POST			= "oldpk_post";
	public static final String	NEWPK_POST			= "newpk_post";
	public static final String	OLDPK_JOBRANK		= "oldpk_jobrank";
	public static final String	NEWPK_JOBRANK		= "newpk_jobrank";
	public static final String	OLDPK_JOBGRADE		= "oldpk_jobgrade";
	public static final String	NEWPK_JOBGRADE		= "newpk_jobgrade";
	public static final String	OLDMEMO				= "oldmemo";
	public static final String	NEWMEMO				= "newmemo";
	public static final String	OLDPK_PSNCL			= "oldpk_psncl";
	public static final String	NEWPK_PSNCL			= "newpk_psncl";
	public static final String	OLDPK_JOB_TYPE		= "oldpk_job_type";
	public static final String	NEWPK_JOB_TYPE		= "newpk_job_type";
	public static final String	OLDJOBMODE			= "oldjobmode";
	public static final String	NEWJOBMODE			= "newjobmode";
	public static final String	OLDDEPOSEMODE		= "olddeposemode";
	public static final String	NEWDEPOSEMODE		= "newdeposemode";
	public static final String	OLDOCCUPATION		= "oldoccupation";
	public static final String	NEWOCCUPATION		= "newoccupation";
	public static final String	OLDWORKTYPE			= "oldworktype";
	public static final String	NEWWORKTYPE			= "newworktype";
	public static final String	OLDPOSTSTAT			= "oldpoststat";
	public static final String	NEWPOSTSTAT			= "newpoststat";
	public static final String	CREATOR				= "creator";
	public static final String	CREATIONTIME		= "creationtime";
	public static final String	MODIFIER			= "modifier";
	public static final String	MODIFIEDTIME		= "modifiedtime";
	public static final String	PK_PSNJOB			= "pk_psnjob";
	public static final String	ASSGID				= "assgid";
	public static final String	PK_TUTOR			= "pk_tutor";
	public static final String	PK_PSNDOC			= "pk_psndoc";
	public static final String	PK_PSNORG			= "pk_psnorg";
	public static final String	BEGIN_DATE			= "begin_date";
	public static final String	END_DATE			= "end_date";
	public static final String	ISNEEDFILE			= "isneedfile";
	public static final String	IFSYNWORK			= "ifsynwork";

	/**
	 * 属性pk_hi_regapply的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_hi_regapply()
	{
		return pk_hi_regapply;
	}

	/**
	 * 属性pk_hi_regapply的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_hi_regapply
	 *            String
	 */
	public void setPk_hi_regapply(String newPk_hi_regapply)
	{
		this.pk_hi_regapply = newPk_hi_regapply;
	}

	/**
	 * 属性pk_billtype的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_billtype()
	{
		return pk_billtype;
	}

	/**
	 * 属性pk_billtype的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_billtype
	 *            String
	 */
	public void setPk_billtype(String newPk_billtype)
	{
		this.pk_billtype = newPk_billtype;
	}

	/**
	 * 属性approve_state的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return Integer
	 */
	public Integer getApprove_state()
	{
		return approve_state;
	}

	/**
	 * 属性approve_state的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newApprove_state
	 *            Integer
	 */
	public void setApprove_state(Integer newApprove_state)
	{
		this.approve_state = newApprove_state;
	}

	/**
	 * 属性business_type的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getBusiness_type()
	{
		return business_type;
	}

	/**
	 * 属性business_type的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newBusiness_type
	 *            String
	 */
	public void setBusiness_type(String newBusiness_type)
	{
		this.business_type = newBusiness_type;
	}

	/**
	 * 属性transtype的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getTranstype()
	{
		return transtype;
	}

	/**
	 * 属性transtype的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newTranstype
	 *            String
	 */
	public void setTranstype(String newTranstype)
	{
		this.transtype = newTranstype;
	}

	/**
	 * 属性bill_code的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getBill_code()
	{
		return bill_code;
	}

	/**
	 * 属性bill_code的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newBill_code
	 *            String
	 */
	public void setBill_code(String newBill_code)
	{
		this.bill_code = newBill_code;
	}

	/**
	 * 属性regulardate的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDate
	 */
	public UFLiteralDate getRegulardate()
	{
		return regulardate;
	}

	/**
	 * 属性dregulardate的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newRegulardate
	 *            UFDate
	 */
	public void setRegulardate(UFLiteralDate newRegulardate)
	{
		this.regulardate = newRegulardate;
	}

	/**
	 * 属性billmaker的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getBillmaker()
	{
		return billmaker;
	}

	/**
	 * 属性billmaker的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newBillmaker
	 *            String
	 */
	public void setBillmaker(String newBillmaker)
	{
		this.billmaker = newBillmaker;
	}

	/**
	 * 属性apply_date的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDate
	 */
	public UFLiteralDate getApply_date()
	{
		return apply_date;
	}

	/**
	 * 属性apply_date的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newApply_date
	 *            UFDate
	 */
	public void setApply_date(UFLiteralDate newApply_date)
	{
		this.apply_date = newApply_date;
	}

	/**
	 * 属性approver的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getApprover()
	{
		return approver;
	}

	/**
	 * 属性approver的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newApprover
	 *            String
	 */
	public void setApprover(String newApprover)
	{
		this.approver = newApprover;
	}

	/**
	 * 属性approve_time的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDateTime
	 */
	public UFDateTime getApprove_time()
	{
		return approve_time;
	}

	/**
	 * 属性approve_time的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newApprove_time
	 *            UFDateTime
	 */
	public void setApprove_time(UFDateTime newApprove_time)
	{
		this.approve_time = newApprove_time;
	}

	/**
	 * 属性approve_note的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getApprove_note()
	{
		return approve_note;
	}

	/**
	 * 属性approve_note的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newApprove_note
	 *            String
	 */
	public void setApprove_note(String newApprove_note)
	{
		this.approve_note = newApprove_note;
	}

	/**
	 * 属性memo的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getMemo()
	{
		return memo;
	}

	/**
	 * 属性memo的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newMemo
	 *            String
	 */
	public void setMemo(String newMemo)
	{
		this.memo = newMemo;
	}

	/**
	 * 属性pk_group的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_group()
	{
		return pk_group;
	}

	/**
	 * 属性pk_group的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_group
	 *            String
	 */
	public void setPk_group(String newPk_group)
	{
		this.pk_group = newPk_group;
	}

	/**
	 * 属性pk_org的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_org()
	{
		return pk_org;
	}

	/**
	 * 属性pk_org的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_org
	 *            String
	 */
	public void setPk_org(String newPk_org)
	{
		this.pk_org = newPk_org;
	}

	/**
	 * 属性ishrssbill的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFBoolean
	 */
	public UFBoolean getIshrssbill()
	{
		return ishrssbill;
	}

	/**
	 * 属性ishrssbill的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newIshrssbill
	 *            UFBoolean
	 */
	public void setIshrssbill(UFBoolean newIshrssbill)
	{
		this.ishrssbill = newIshrssbill;
	}

	/**
	 * 属性vattachment的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getVattachment()
	{
		return vattachment;
	}

	/**
	 * 属性vattachment的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newVattachment
	 *            String
	 */
	public void setVattachment(String newVattachment)
	{
		this.vattachment = newVattachment;
	}

	/**
	 * 属性probation_type的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return Integer
	 */
	public Integer getProbation_type()
	{
		return probation_type;
	}

	/**
	 * 属性probation_type的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newProbation_type
	 *            Integer
	 */
	public void setProbation_type(Integer newProbation_type)
	{
		this.probation_type = newProbation_type;
	}

	/**
	 * 属性trialresult的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return Integer
	 */
	public Integer getTrialresult()
	{
		return trialresult;
	}

	/**
	 * 属性trialresult的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newTrialresult
	 *            Integer
	 */
	public void setTrialresult(Integer newTrialresult)
	{
		this.trialresult = newTrialresult;
	}

	/**
	 * 属性trialdelaydate的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDate
	 */
	public UFLiteralDate getTrialdelaydate()
	{
		return trialdelaydate;
	}

	/**
	 * 属性trialdelaydate的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newTrialdelaydate
	 *            UFDate
	 */
	public void setTrialdelaydate(UFLiteralDate newTrialdelaydate)
	{
		this.trialdelaydate = newTrialdelaydate;
	}

	/**
	 * 属性oldpk_org的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_org()
	{
		return oldpk_org;
	}

	/**
	 * 属性oldpk_org的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_org
	 *            String
	 */
	public void setOldpk_org(String newOldpk_org)
	{
		this.oldpk_org = newOldpk_org;
	}

	/**
	 * 属性newpk_org的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_org()
	{
		return newpk_org;
	}

	/**
	 * 属性newpk_org的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_org
	 *            String
	 */
	public void setNewpk_org(String newNewpk_org)
	{
		this.newpk_org = newNewpk_org;
	}

	/**
	 * 属性oldpk_dept的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_dept()
	{
		return oldpk_dept;
	}

	/**
	 * 属性oldpk_dept的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_dept
	 *            String
	 */
	public void setOldpk_dept(String newOldpk_dept)
	{
		this.oldpk_dept = newOldpk_dept;
	}

	/**
	 * 属性newpk_dept的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_dept()
	{
		return newpk_dept;
	}

	/**
	 * 属性newpk_dept的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_dept
	 *            String
	 */
	public void setNewpk_dept(String newNewpk_dept)
	{
		this.newpk_dept = newNewpk_dept;
	}

	/**
	 * 属性oldseries的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldseries()
	{
		return oldseries;
	}

	/**
	 * 属性oldseries的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldseries
	 *            String
	 */
	public void setOldseries(String newOldseries)
	{
		this.oldseries = newOldseries;
	}

	/**
	 * 属性newseries的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewseries()
	{
		return newseries;
	}

	/**
	 * 属性newseries的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewseries
	 *            String
	 */
	public void setNewseries(String newNewseries)
	{
		this.newseries = newNewseries;
	}

	/**
	 * 属性oldpk_job的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_job()
	{
		return oldpk_job;
	}

	/**
	 * 属性oldpk_job的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_job
	 *            String
	 */
	public void setOldpk_job(String newOldpk_job)
	{
		this.oldpk_job = newOldpk_job;
	}

	/**
	 * 属性newpk_job的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_job()
	{
		return newpk_job;
	}

	/**
	 * 属性newpk_job的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_job
	 *            String
	 */
	public void setNewpk_job(String newNewpk_job)
	{
		this.newpk_job = newNewpk_job;
	}

	/**
	 * 属性oldpk_postseries的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_postseries()
	{
		return oldpk_postseries;
	}

	/**
	 * 属性oldpk_postseries的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_postseries
	 *            String
	 */
	public void setOldpk_postseries(String newOldpk_postseries)
	{
		this.oldpk_postseries = newOldpk_postseries;
	}

	/**
	 * 属性newpk_postseries的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_postseries()
	{
		return newpk_postseries;
	}

	/**
	 * 属性newpk_postseries的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_postseries
	 *            String
	 */
	public void setNewpk_postseries(String newNewpk_postseries)
	{
		this.newpk_postseries = newNewpk_postseries;
	}

	/**
	 * 属性oldpk_post的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_post()
	{
		return oldpk_post;
	}

	/**
	 * 属性oldpk_post的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_post
	 *            String
	 */
	public void setOldpk_post(String newOldpk_post)
	{
		this.oldpk_post = newOldpk_post;
	}

	/**
	 * 属性newpk_post的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_post()
	{
		return newpk_post;
	}

	/**
	 * 属性newpk_post的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_post
	 *            String
	 */
	public void setNewpk_post(String newNewpk_post)
	{
		this.newpk_post = newNewpk_post;
	}

	/**
	 * 属性oldpk_jobrank的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_jobrank()
	{
		return oldpk_jobrank;
	}

	/**
	 * 属性oldpk_jobrank的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_jobrank
	 *            String
	 */
	public void setOldpk_jobrank(String newOldpk_jobrank)
	{
		this.oldpk_jobrank = newOldpk_jobrank;
	}

	/**
	 * 属性newpk_jobrank的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_jobrank()
	{
		return newpk_jobrank;
	}

	/**
	 * 属性newpk_jobrank的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_jobrank
	 *            String
	 */
	public void setNewpk_jobrank(String newNewpk_jobrank)
	{
		this.newpk_jobrank = newNewpk_jobrank;
	}

	/**
	 * 属性oldpk_jobgrade的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_jobgrade()
	{
		return oldpk_jobgrade;
	}

	/**
	 * 属性oldpk_jobgrade的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_jobgrade
	 *            String
	 */
	public void setOldpk_jobgrade(String newOldpk_jobgrade)
	{
		this.oldpk_jobgrade = newOldpk_jobgrade;
	}

	/**
	 * 属性newpk_jobgrade的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_jobgrade()
	{
		return newpk_jobgrade;
	}

	/**
	 * 属性newpk_jobgrade的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_jobgrade
	 *            String
	 */
	public void setNewpk_jobgrade(String newNewpk_jobgrade)
	{
		this.newpk_jobgrade = newNewpk_jobgrade;
	}

	/**
	 * 属性oldmemo的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldmemo()
	{
		return oldmemo;
	}

	/**
	 * 属性oldmemo的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newoldmemo
	 *            String
	 */
	public void setOldmemo(String newoldmemo)
	{
		this.oldmemo = newoldmemo;
	}

	/**
	 * 属性newtitle的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewmemo()
	{
		return newmemo;
	}

	/**
	 * 属性newmemo的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewmemo
	 *            String
	 */
	public void setNewmemo(String newNewmemo)
	{
		this.newmemo = newNewmemo;
	}

	/**
	 * 属性oldpk_psncl的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_psncl()
	{
		return oldpk_psncl;
	}

	/**
	 * 属性oldpk_psncl的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_psncl
	 *            String
	 */
	public void setOldpk_psncl(String newOldpk_psncl)
	{
		this.oldpk_psncl = newOldpk_psncl;
	}

	/**
	 * 属性newpk_psncl的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_psncl()
	{
		return newpk_psncl;
	}

	/**
	 * 属性newpk_psncl的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_psncl
	 *            String
	 */
	public void setNewpk_psncl(String newNewpk_psncl)
	{
		this.newpk_psncl = newNewpk_psncl;
	}

	/**
	 * 属性oldpk_job_type的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldpk_job_type()
	{
		return oldpk_job_type;
	}

	/**
	 * 属性oldpk_job_type的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpk_job_type
	 *            String
	 */
	public void setOldpk_job_type(String newOldpk_job_type)
	{
		this.oldpk_job_type = newOldpk_job_type;
	}

	/**
	 * 属性newpk_job_type的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewpk_job_type()
	{
		return newpk_job_type;
	}

	/**
	 * 属性newpk_job_type的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpk_job_type
	 *            String
	 */
	public void setNewpk_job_type(String newNewpk_job_type)
	{
		this.newpk_job_type = newNewpk_job_type;
	}

	/**
	 * 属性oldjobmode的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldjobmode()
	{
		return oldjobmode;
	}

	/**
	 * 属性oldjobmode的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldjobmode
	 *            String
	 */
	public void setOldjobmode(String newOldjobmode)
	{
		this.oldjobmode = newOldjobmode;
	}

	/**
	 * 属性newjobmode的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewjobmode()
	{
		return newjobmode;
	}

	/**
	 * 属性newjobmode的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewjobmode
	 *            String
	 */
	public void setNewjobmode(String newNewjobmode)
	{
		this.newjobmode = newNewjobmode;
	}

	/**
	 * 属性olddeposemode的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOlddeposemode()
	{
		return olddeposemode;
	}

	/**
	 * 属性olddeposemode的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOlddeposemode
	 *            String
	 */
	public void setOlddeposemode(String newOlddeposemode)
	{
		this.olddeposemode = newOlddeposemode;
	}

	/**
	 * 属性newdeposemode的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewdeposemode()
	{
		return newdeposemode;
	}

	/**
	 * 属性newdeposemode的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewdeposemode
	 *            String
	 */
	public void setNewdeposemode(String newNewdeposemode)
	{
		this.newdeposemode = newNewdeposemode;
	}

	/**
	 * 属性oldoccupation的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldoccupation()
	{
		return oldoccupation;
	}

	/**
	 * 属性oldoccupation的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldoccupation
	 *            String
	 */
	public void setOldoccupation(String newOldoccupation)
	{
		this.oldoccupation = newOldoccupation;
	}

	/**
	 * 属性newoccupation的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewoccupation()
	{
		return newoccupation;
	}

	/**
	 * 属性newoccupation的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewoccupation
	 *            String
	 */
	public void setNewoccupation(String newNewoccupation)
	{
		this.newoccupation = newNewoccupation;
	}

	/**
	 * 属性oldworktype的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getOldworktype()
	{
		return oldworktype;
	}

	/**
	 * 属性oldworktype的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldworktype
	 *            String
	 */
	public void setOldworktype(String newOldworktype)
	{
		this.oldworktype = newOldworktype;
	}

	/**
	 * 属性newworktype的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getNewworktype()
	{
		return newworktype;
	}

	/**
	 * 属性newworktype的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewworktype
	 *            String
	 */
	public void setNewworktype(String newNewworktype)
	{
		this.newworktype = newNewworktype;
	}

	/**
	 * 属性oldpoststat的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFBoolean
	 */
	public UFBoolean getOldpoststat()
	{
		return oldpoststat;
	}

	/**
	 * 属性oldpoststat的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newOldpoststat
	 *            UFBoolean
	 */
	public void setOldpoststat(UFBoolean newOldpoststat)
	{
		this.oldpoststat = newOldpoststat;
	}

	/**
	 * 属性newpoststat的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFBoolean
	 */
	public UFBoolean getNewpoststat()
	{
		return newpoststat;
	}

	/**
	 * 属性newpoststat的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newNewpoststat
	 *            UFBoolean
	 */
	public void setNewpoststat(UFBoolean newNewpoststat)
	{
		this.newpoststat = newNewpoststat;
	}

	/**
	 * 属性creator的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getCreator()
	{
		return creator;
	}

	/**
	 * 属性creator的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newCreator
	 *            String
	 */
	public void setCreator(String newCreator)
	{
		this.creator = newCreator;
	}

	/**
	 * 属性creationtime的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDateTime
	 */
	public UFDateTime getCreationtime()
	{
		return creationtime;
	}

	/**
	 * 属性creationtime的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newcreationtime
	 *            UFDateTime
	 */
	public void setCreationtime(UFDateTime newcreationtime)
	{
		this.creationtime = newcreationtime;
	}

	/**
	 * 属性modifier的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getModifier()
	{
		return modifier;
	}

	/**
	 * 属性modifier的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newModifier
	 *            String
	 */
	public void setModifier(String newModifier)
	{
		this.modifier = newModifier;
	}

	/**
	 * 属性modifiedtime的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDateTime
	 */
	public UFDateTime getModifiedtime()
	{
		return modifiedtime;
	}

	/**
	 * 属性modifiedtime的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newModifiedtime
	 *            UFDateTime
	 */
	public void setModifiedtime(UFDateTime newModifiedtime)
	{
		this.modifiedtime = newModifiedtime;
	}

	/**
	 * 属性pk_psnjob的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_psnjob()
	{
		return pk_psnjob;
	}

	/**
	 * 属性pk_psnjob的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_psnjob
	 *            String
	 */
	public void setPk_psnjob(String newPk_psnjob)
	{
		this.pk_psnjob = newPk_psnjob;
	}

	/**
	 * 属性assgid的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return Integer
	 */
	public Integer getAssgid()
	{
		return assgid;
	}

	/**
	 * 属性assgid的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newAssgid
	 *            Integer
	 */
	public void setAssgid(Integer newAssgid)
	{
		this.assgid = newAssgid;
	}

	/**
	 * 属性pk_tutor的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_tutor()
	{
		return pk_tutor;
	}

	/**
	 * 属性pk_tutor的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_tutor
	 *            String
	 */
	public void setPk_tutor(String newPk_tutor)
	{
		this.pk_tutor = newPk_tutor;
	}

	/**
	 * 属性pk_psndoc的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_psndoc()
	{
		return pk_psndoc;
	}

	/**
	 * 属性pk_psndoc的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_psndoc
	 *            String
	 */
	public void setPk_psndoc(String newPk_psndoc)
	{
		this.pk_psndoc = newPk_psndoc;
	}

	/**
	 * 属性pk_psnorg的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPk_psnorg()
	{
		return pk_psnorg;
	}

	/**
	 * 属性pk_psnorg的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newPk_psnorg
	 *            String
	 */
	public void setPk_psnorg(String newPk_psnorg)
	{
		this.pk_psnorg = newPk_psnorg;
	}

	/**
	 * 属性begin_date的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDate
	 */
	public UFLiteralDate getBegin_date()
	{
		return begin_date;
	}

	/**
	 * 属性begin_date的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newBegin_date
	 *            UFDate
	 */
	public void setBegin_date(UFLiteralDate newBegin_date)
	{
		this.begin_date = newBegin_date;
	}

	/**
	 * 属性end_date的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDate
	 */
	public UFLiteralDate getEnd_date()
	{
		return end_date;
	}

	/**
	 * 属性end_date的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newEnd_date
	 *            UFDate
	 */
	public void setEnd_date(UFLiteralDate newEnd_date)
	{
		this.end_date = newEnd_date;
	}

	/**
	 * 属性dr的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return Integer
	 */
	public Integer getDr()
	{
		return dr;
	}

	/**
	 * 属性dr的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newDr
	 *            Integer
	 */
	public void setDr(Integer newDr)
	{
		this.dr = newDr;
	}

	/**
	 * 属性ts的Getter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @return UFDateTime
	 */
	public UFDateTime getTs()
	{
		return ts;
	}

	/**
	 * 属性ts的Setter方法. 创建日期:2009-12-28 14:07:07
	 * 
	 * @param newTs
	 *            UFDateTime
	 */
	public void setTs(UFDateTime newTs)
	{
		this.ts = newTs;
	}

	/**
	 * <p>
	 * 取得父VO主键字段.
	 * <p>
	 * 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getParentPKFieldName()
	{
		return null;
	}

	/**
	 * <p>
	 * 取得表主键.
	 * <p>
	 * 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getPKFieldName()
	{
		return "pk_hi_regapply";
	}

	/**
	 * <p>
	 * 返回表名称.
	 * <p>
	 * 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public String getTableName()
	{
		return "hi_regapply";
	}

	/**
	 * <p>
	 * 返回表名称.
	 * <p>
	 * 创建日期:2009-12-28 14:07:07
	 * 
	 * @return String
	 */
	public static String getDefaultTableName()
	{
		return "hi_regapply";
	}

	/**
	 * 按照默认方式创建构造子.
	 * 创建日期:2009-12-28 14:07:07
	 */
	public RegapplyVO()
	{
		super();
	}

	public void setTranstypeid(String transtypeid)
	{
		this.transtypeid = transtypeid;
	}

	public String getTranstypeid()
	{
		return transtypeid;
	}

	public void setIsneedfile(UFBoolean isneedfile)
	{
		this.isneedfile = isneedfile;
	}

	public UFBoolean getIsneedfile()
	{
		return isneedfile;
	}

	public void setIfsynwork(UFBoolean ifsynwork)
	{
		this.ifsynwork = ifsynwork;
	}

	public UFBoolean getIfsynwork()
	{
		return ifsynwork;
	}
}
